Book_2_Chapter_6_Protected_by_the_Eglain = class(Window);

function Book_2_Chapter_6_Protected_by_the_Eglain: GetName()
	return "Book 2, Chapter 6: Protected by the Eglain";
end

function Book_2_Chapter_6_Protected_by_the_Eglain: IsRunning()
	return (self.window ~= nil);
end

function Book_2_Chapter_6_Protected_by_the_Eglain: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 2, Capítulo 6: Protegido pelo Eglain"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Candaith-30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n“Consegui rastrear Radagast para o sul e lá conheci amigos, os Eglain, que fazem de algumas ruínas aqui nas Terras Solitárias sua casa. Eles são um povo solitário e quieto, tendo evitado obrigações sociais por uma vida simples vivida aqui. Os poucos que se aventuram nas áreas mais civilizadas do mundo ainda são diferentes da maioria que você jamais conhecerá.\n\n'Por causa dessa natureza, eles são verdadeiramente cautelosos com qualquer um que deseje negociar com eles ou seus aliados, e parece que Radagast recrutou sua ajuda, não apenas agora, mas em algum momento no passado distante. Temo que você precise ganhar o direito de falar com Radagast.\n\n- Fiz o que pude. Meu cavalo irá levá-lo para o sul e leste até The Forsaken Inn. Lá, você deve procurar uma audiência com Gadaric Munce. Ele saberá seu nome. Fique seguro.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nA investigação de Candaith sobre o paradeiro de Radagast, o Marrom, o levou à descoberta de que ele está sob a proteção dos Eglain. Ele falou bem de você para um de seus membros, Gadaric Munce, mas avisou que eles não forneceriam a localização do Lore-master em Brown sem garantia de que você tem boas intenções.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Gadaric Munce no The Forsaken Inn\nMonte o cavalo de Candaith ou vá a pé até The Forsaken Inn na fronteira do Midgewater Marsh e Lone-lands ao longo da Great East Road.\n\nCandaith agradeceu a sua ajuda e avisou que o Eglain deve entender que suas intenções estão antes de permitir uma audiência com Radagast, o Marrom.\n\nCandaith: 'Você pode usar meu cavalo ou caminhar até The Forsaken Inn. Ele está localizado a sudoeste daqui, na fronteira do Midgewater Marsh e das Terras Solitárias ao longo da Great East Road . Você deve falar com Gadaric Munce e começar a ganhar a confiança dos Eglain.\nGadaric Munce: 'Candaith é um bom homem que se arriscou nos dando sua palavra de que você pode ser confiável. Por ele e por nossa amizade contínua com ele, espero que você valha a pena o risco.\n'Somos pessoas simples que desejam permanecer à parte da sociedade, mas há esforços que todos devem empreender para sobreviver, e vamos pedir sua ajuda para provar que você é digno.'\n\n2- Encontre e fale com um membro do Eglain no The Forsaken Inn ou seu acampamento em Nain Enidh\nEncontre um membro do Eglain e pergunte a ele o paradeiro de Radagast, o Marrom.\n\nVocê trabalhou muito e arduamente para obter a confiança dos Eglain. Agora, você deve perguntar a eles o paradeiro de Radagast, o Marrom.\n\nGadaric Munce ou Hunulf Munce: 'Você trabalhou muito, e somos gratos por tudo o que você fez. Você parece ter as melhores intenções em relação ao nosso povo. Para isso, nós lhe daremos o pedido que você pediu.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nAceitar esta missão desbloqueia viagens gratuitas e rápidas de Candaith para o Forsaken Inn\nFale com Gadaric Munce duas vezes, em vez de ir para Nain Enidh para Hunulf Munce. Isso também promove a cadeia de missões.\n\n\nCandaith é um Ranger engenhoso que é encontrado em vários lugares ao longo da jornada épica pela Terra-média.\n\nEle é encontrado em um acampamento nas Terras Solitárias e viajando com a Companhia Cinzenta em Valfenda e Enedwaith. Ele também aparece brevemente em Eregion durante uma instância de missão.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_2_Chapter_6_Protected_by_the_Eglain:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_2_Chapter_6_Protected_by_the_Eglain()); 